<?php

/** @var \HG\ProductLabels\Block\Adminhtml\Label\AssignProducts $block */
/** @var \HG\ProductLabels\Block\Adminhtml\Label\Tab\Product $blockGrid */
/** @var \Magento\Framework\View\Helper\SecureHtmlRenderer $secureRenderer */

$blockGrid = $block->getBlockGrid();
$gridJsObjectName = $blockGrid->getJsObjectName();
?>
<?= $block->getGridHtml() ?>
<input type="hidden" name="label_products" id="in_label_products" data-form-part="hg_productlabels_label_form" value="" />
<script type="text/x-magento-init">
    {
        "*": {
            "HG_ProductLabels/js/label/assign-products": {
                "selectedProducts": <?= /* @noEscape */ $block->getProductsJson() ?>,
                "gridJsObjectName": <?= /* @noEscape */ '"' . $gridJsObjectName . '"' ?: '{}' ?>
            }
        }
    }
</script>
<!-- @todo remove when "UI components" will support such initialization -->
<?= /* @noEscape */ $secureRenderer->renderTag('script', [], "require('mage/apply/main').apply();", false) ?>
